# $Revision: 1.31 $, $Date: 2009/09/14 19:55:03 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	MIME
%define		pnam	Types
Summary:	MIME::Types Perl module - definition of MIME types
Summary(pl.UTF-8):	Moduł Perla MIME::Types - definicje typów MIME
Name:		perl-MIME-Types
Version:	1.28
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/MIME/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5fe537d9d803c43a36c3c55623c2d6da
URL:		http://search.cpan.org/dist/MIME-Types/
%{?with_tests:BuildRequires:	perl-Test-Simple >= 0.47}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-libnet
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MIME types are used in MIME compliant lines, for instance as part of
e-mail and HTTP traffic, to indicate the type of content which is
transmitted. Sometimes real knowledge about a mime-type is need.

This module maintains a set of MIME::Type objects, which each describe
one known MIME type. There are many types defined by RFCs and vendors,
so the list is long but not complete.
 
%description -l pl.UTF-8
Typy MIME są używane w liniach nagłówka zgodnych z MIME, na przykład
jako część transmisji e-mail lub HTTP, do określenia rodzaju
przesyłanej treści. Czasem potrzebna jest znajomość prawdziwego
mime-type.

Ten moduł utrzymuje zbiór obiektów MIME::Type, z których każdy opisuje
jeden znany typ MIME. Zawiera wiele typów zdefiniowanych przez RFC i
producentów, więc lista jest długa, ale niepełna.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/MIME/*.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/MIME/Types.pm
%{perl_vendorlib}/MIME/Type.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-MIME-Types.spec,v $
Revision 1.31  2009/09/14 19:55:03  arekm
- up to 1.28

Revision 1.30  2009/06/10 14:12:53  amateja
- updated to 1.27

Revision 1.29  2008/12/01 13:59:36  arekm
- up to 1.25

Revision 1.28  2007-12-24 02:38:25  zbyniu
- up to 1.23

Revision 1.27  2007-07-06 07:30:01  czarny
- up to 1.20

Revision 1.26  2007/02/13 07:47:12  glen
- tabs in preamble

Revision 1.25  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.24  2006/12/22 09:10:16  qboosh
- updated to 1.18
- real descs

Revision 1.23  2005/11/07 14:18:13  migo
- up to 1.16

Revision 1.22  2004/11/03 22:30:31  paladine
- formatting

Revision 1.21  2004/05/07 00:32:02  ankry
- rel. 2

Revision 1.20  2004/05/06 18:20:33  ankry
- fixed perl-devel BR

Revision 1.19  2004/04/25 16:29:22  adamg
- updated to 1.13

Revision 1.18  2004/04/25 06:25:08  ankry
- cosmetics: unification

Revision 1.17  2004/04/24 14:52:15  ankry
- license fixes / unification

Revision 1.16  2004/01/24 23:14:07  arekm
- autoupdated to 1.12

Revision 1.15  2003/11/07 17:10:32  migo
- up to 1.09
- new bcond style

Revision 1.14  2003/09/21 21:48:57  adamg
- updated to 1.07

Revision 1.13  2003/09/09 10:24:41  ankry
- spaces -> tab

Revision 1.12  2003/08/18 08:08:57  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.11  2003/05/28 13:00:47  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:24:45  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.8  2003/03/01 20:20:14  radek
- should be ready for perl-5.8.0; release++

Revision 1.7  2003/02/25 00:40:15  radek
- use the __perl macro

Revision 1.6  2003/02/18 15:35:53  ankry
- massive attack: change CPAN URLs

Revision 1.5  2003/01/08 12:46:29  mis
- autoupdated to 1.005

Revision 1.4  2002/11/20 12:22:02  mis
- autoupdated to 1.004

Revision 1.3  2002/10/05 12:21:21  ankry
- (auto)updated to 1.003

Revision 1.2  2002/09/18 23:46:11  qboosh
- pl description, new %%doc

Revision 1.1  2002/09/18 08:48:24  krzak
initial release
